%define oname	pam-abl
%define distname %{oname}-%{version}

Summary:	Auto blacklisting of hosts and users
Name: 		pam_abl
Version: 	0.6.0
Release: 	%mkrel 5
License:	GPLv2
Group:		System/Libraries
URL: 		https://sourceforge.net/projects/pam-abl/
Source0: 	https://downloads.sourceforge.net/project/%{oname}/%{oname}/%{distname}.tar.gz
Source1:	pam_abl.conf
BuildRequires:	pam-devel
BuildRequires:  db-devel
BuildRequires:  cmake

%description
A PAM module that provides auto blacklisting of hosts and users
responsible for repeated failed authentication attempts. Generally
configured so that blacklisted users still see normal login prompts
but are guaranteed to fail to authenticate.

%prep
%setup -q -c -n %{oname}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
install -d %buildroot/%_lib
mv %buildroot%_prefix/lib/security %buildroot/%_lib
install -D -m644 %SOURCE1 %buildroot%_sysconfdir/security/pam_abl.conf
install -d %buildroot%_var/lib/abl

%files
%doc README
/%{_lib}/security/*so*
%{_bindir}/%{name}
%config(noreplace) %_sysconfdir/security/pam_abl.conf
%dir %_var/lib/abl


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 0.6.0-5.mga9
+ Revision: 1829236
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 daviddavid <daviddavid> 0.6.0-4.mga8
+ Revision: 1516890
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1300090
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 956587
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 blino <blino> 0.6.0-1.mga6
+ Revision: 856003
- 0.6
- add missing db_home setting in pam_abl.conf

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 739846
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 683316
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 508823
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 362368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 blino <blino> 0.5.0-1.mga3
+ Revision: 291538
- 0.5.0
- switch to cmake
- update URL

* Tue Jul 31 2012 fwang <fwang> 0.2.3-10.mga3
+ Revision: 276364
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 0.2.3-9.mga3
+ Revision: 274852
- rebuild

* Sat Jan 21 2012 nanardon <nanardon> 0.2.3-8.mga2
+ Revision: 199104
- imported package pam_abl


* Wed Apr 13 2011 Funda Wang <fwang@mandriva.org> 0.2.3-8mdv2011.0
+ Revision: 653094
- build with db 5.1

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-7mdv2011.0
+ Revision: 614464
- the mass rebuild of 2010.1 packages

* Tue Jan 12 2010 Buchan Milne <bgmilne@mandriva.org> 0.2.3-6mdv2010.1
+ Revision: 490384
- Rebuild for db-4.8

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.2.3-5mdv2010.0
+ Revision: 440473
- rebuild

* Sun Jan 25 2009 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-4mdv2009.1
+ Revision: 333481
- provides directory and config file
- buildrequires db-devel

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - import pam_abl

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Jun  7 2006 Olivier Blin <oblin@mandriva.com> 0.2.3-1mdv2007.0
- initial Mandriva release
- Patch0: handle DESTDIR in Makefile
